## org.exist.dom
Interface ByDocumentIterator

public interface ByDocumentIterator

Method Summary
`boolean` `hasNextNode()`
`void` `nextDocument(DocumentImpl document)`
`NodeProxy` `nextNode()`
`NodeProxy` `peekNode()`
`void` `setPosition(NodeProxy node)`

Method Detail

### nextDocument

    public void nextDocument(DocumentImpl document)

### hasNextNode

    public boolean hasNextNode()

### nextNode

    public NodeProxy nextNode()

### peekNode

    public NodeProxy peekNode()

### setPosition

    public void setPosition(NodeProxy node)

Copyright (C) Wolfgang Meier. All rights reserved.